#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 34. GNOME Applications

- Prev

  gnome-weather-3.36.1

- Next

  Seahorse-3.38.1

- Up
- Home

# Gucharmap-12.0.1

## Introduction to Gucharmap

Gucharmap is a Unicode character map and font viewer. It allows you to browse through all the available Unicode characters and categories for the installed fonts, and to examine their detailed properties. It is an easy way to find the character you might only know by its Unicode name or code point.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gucharmap/12.0/gucharmap-12.0.1.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gucharmap/12.0/gucharmap-12.0.1.tar.xz

- Download MD5 sum: 0c34aa29657a41712d011d939c5bc85e

- Download size: 1.6 MB

- Estimated disk space required: 56 MB

- Estimated build time: 0.4 SBU (with a fast internet connection)

### Gucharmap Dependencies

#### Required

desktop-file-utils-0.26, GTK+-3.24.25, itstool-2.0.6, UnZip-6.0, and Wget-1.21.1 (used to download data from unicode.org)

#### Recommended

gobject-introspection-1.66.1 and Vala-0.50.3

#### Optional

appstream-glib and GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gucharmap

## Installation of Gucharmap

Install Gucharmap by running the following commands:

    LIBS="-ldl"               \
    ./configure --prefix=/usr \
                --enable-vala \
                --with-unicode-data=download &&
    make

This package's testsuite is only intended to be used by the maintainer to check the i18n help files.

Now, as the `root` user:

    make install

## Command Explanations

LIBS="-ldl" ...: Allows linking some system libraries. This is currently broken in version 10.0.4.

`--with-unicode-data=download`: This switch forces the build process to download the Unicode data instead of trying to look for it locally.

`--enable-vala`: This switch enables building of the Vala bindings (auto-detection of vapigen is currently broken). Remove if you don't have Vala-0.50.3 installed.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Program: charmap, gnome-character-map (both symlinks), and gucharmap
Installed Library: libgucharmap_2_90.so
Installed Directories: /usr/include/gucharmap-2.90 and /usr/share/help/*/gucharmap

### Short Descriptions

gucharmap | is a Unicode character map and font viewer
`libgucharmap_2_90.so` | contains the Gucharmap API functions

Last updated on 2021-02-25 10:46:48 -0800

- Prev

  gnome-weather-3.36.1

- Next

  Seahorse-3.38.1

- Up
- Home